## wxPreviewCanvas

A preview canvas is the default canvas used by the print preview system to display the preview.

Derived from

wxScrolledWindow
wxWindow
wxevthandler
wxObject

Include files

<wx/print.h>

See also

wxPreviewFrame, wxPreviewControlBar, wxPrintPreview

Members

wxPreviewCanvas::wxPreviewCanvas
wxPreviewCanvas::~wxPreviewCanvas
wxPreviewCanvas::OnPaint

### wxPreviewCanvas::wxPreviewCanvas

wxPreviewCanvas(wxPrintPreview* preview, wxWindow* parent, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "canvas")

Constructor.

### wxPreviewCanvas::~wxPreviewCanvas

~wxPreviewCanvas()

Destructor.

### wxPreviewCanvas::OnPaint

void OnPaint(wxPaintEvent& event)

Calls wxPrintPreview::PaintPage to refresh the canvas.